## org.pentaho.reporting.libraries.formula.typing.coretypes
Class NumberType

    java.lang.Object
      org.pentaho.reporting.libraries.formula.typing.DefaultType
          org.pentaho.reporting.libraries.formula.typing.coretypes.NumberType

All Implemented Interfaces:
  java.io.Serializable, Type

    public class NumberType

extends DefaultType

Creation-Date: 02.11.2006, 09:37:54

Author:
  Thomas Morgner
See Also:
  Serialized Form

Field Summary
`static NumberType` `GENERIC_NUMBER`
`static NumberType` `GENERIC_NUMBER_ARRAY`
`static NumberType` `NUMBER_SEQUENCE`

Fields inherited from interface org.pentaho.reporting.libraries.formula.typing.Type
`ANY_TYPE, ARRAY_TYPE, DATE_TYPE, DATETIME_TYPE, ERROR_TYPE, LOGICAL_TYPE, NUMERIC_SEQUENCE_TYPE, NUMERIC_TYPE, NUMERIC_UNIT, SCALAR_TYPE, SEQUENCE_TYPE, TEXT_TYPE, TIME_TYPE`

Constructor Summary
`NumberType()`

Method Summary

Methods inherited from class org.pentaho.reporting.libraries.formula.typing.DefaultType
`addFlag, getProperty, isFlagSet, isLocked, lock, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERIC_NUMBER

    public static final NumberType GENERIC_NUMBER

### GENERIC_NUMBER_ARRAY

    public static final NumberType GENERIC_NUMBER_ARRAY

### NUMBER_SEQUENCE

    public static final NumberType NUMBER_SEQUENCE

Constructor Detail

### NumberType

    public NumberType()